Bug 782328 - rm -rf from fuse and nfs clients says circular file structure on nfs client
rm -rf from fuse and nfs clients says circular file structure on nfs client
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.2.5
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-17 02:16 EST by Raghavendra Bhat
Modified: 2016-02-17 19:02 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-01-17 02:16:20 EST
Description of problem:
distribute setup with 2 bricks. 2 fuse and 1 nfs client. Both quota and profile enabled. started fileop (fileop -f 30 -t) on a fuse client. After sometime while tests were going on (where many directories were created), stopped the tests and gave rm -rf of those directories from both fuse as well as nfs clients. After some time nfs client started saying circular file structure, corrupted filesystem.

Version-Release number of selected component (if applicable):


How reproducible:
often

Steps to Reproduce:
1.on a fuse client run fileop -f 30 -t
2.stop the tests in between when many directories have been created
3.do rm -rf parallely from all fuse and nfs clients
  
Actual results:

NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_26/fileop_L1_26_L2_1/fileop_file_26_1_1'

rm: cannot remove `fileop_L1_26/fileop_L1_26_L2_9/fileop_file_26_9_3': Is a directory
rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_27/fileop_L1_27_L2_17/fileop_file_27_17_4'

rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_27/fileop_L1_27_L2_25/fileop_file_27_25_6'

rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_28/fileop_L1_28_L2_3/fileop_file_28_3_2'

rm: cannot remove `fileop_L1_29/fileop_L1_29_L2_12/fileop_file_29_12_4': Is a directory
rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_7/fileop_L1_7_L2_16/fileop_file_7_16_1'

rm: cannot remove `fileop_L1_9/fileop_L1_9_L2_14/fileop_file_9_14_2': Is a directory
rm: cannot remove `fileop_L1_9/fileop_L1_9_L2_19/fileop_file_9_19_4': Is a directory
rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_9/fileop_L1_9_L2_21/fileop_file_9_21_0'

rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
The following directory is part of the cycle:
  `fileop_L1_9/fileop_L1_9_L2_23/fileop_file_9_23_9'
Expected results:


Additional info:
Comment 1 Vijay Bellur 2012-04-27 07:46:13 EDT
can you please reproduce this in 3.3?
Comment 2 Vijay Bellur 2012-05-21 01:41:42 EDT
Removing the beta blocker flag as it is not seen anymore.
Comment 3 Krishna Srinivas 2012-08-14 07:38:16 EDT
Need to see if this is same as 845330 by checking the dmesg. Raghavendra can you reproduce this? moving it to on_qa
Comment 5 Amar Tumballi 2013-01-11 03:42:34 EST
rabhat@redhat.com didn't see these issues in recent builds.

Note You need to log in before you can comment on or make changes to this bug.